=== debian/changelog ===
pathfinder (1.1.3-0.4) unstable; urgency=medium

  * Non-maintainer upload.
  * Add patch from Ilya Barygin to fix linking with recent binutils
    versions (closes: #615761).

 -- Jordi Mallach <jordi@debian.org>  Mon, 10 Oct 2011 22:51:04 +0200

pathfinder (1.1.3-0.3) unstable; urgency=low

  * NMU to fix RC bug
  * debian/pathfinderd.preinst
    - Fix violation of policy 10.7.3, prompt when upgrading from 0.2.4-4.
      Thanks for report & advice, Holger! (Closes: #582019)
  * debian/{libpathfinder-dev,libpathfinder-openssl-nss,libpathfinder-nss}.install
    - also fix Broken Symlinks

 -- Hideki Yamane <henrich@debian.org>  Fri, 21 May 2010 00:23:56 +0900

pathfinder (1.1.3-0.2) unstable; urgency=low

  * NMU
  * debian/pathfinderd.{postrm,postinst}
    - fix lintian error: remove update-rc.d stuff, it is handled by 
      dh_installinit
  * add debian/pathfinderd.conf, install it via pathfinderd.install and
    specify permission in debian/rules
  * add lintian override, since pathfinderd.conf installed with 0640

 -- Hideki Yamane (Debian-JP) <henrich@debian.or.jp>  Fri, 09 Apr 2010 11:38:14 +0900

pathfinder (1.1.3-0.1) unstable; urgency=low

  * NMU with maintainer's ACK.
  * New upstream release
    - fix "FTBFS: iwvdbuslistener.h:13:24: error: wvcallback.h: No such file or
      directory" to use the new WvDBus in WvStreams (Closes: #542975)
    - Include stdint.h for GCC 4.4 compatibility.  (Closes: #505053)
    - Remove the send-interface lines from the DBUS configuration. 
      (Closes: #510696)
  * switch to dpkg-source format3.0 (quilt)
  * debian/rules
    - cleanup, use debhelper7 (Thanks to Enrico Zini)
  * debian/control: 
    - set "Build-Depends: debhelpher (>= 7.0.50~)"
    - Standards-Version: 3.8.4
    - add Homepage: field
    - libpathfinder-dev: add Depends: ${misc:Depends}
    - Build-Depends: "libldap2-dev", deal with cmake complains about 
      "LDAP Development packages"
    - set "Build-Depends: libwvstreams-dev (>= 4.6.1)", to use package enabled
      with --with-dbus option
    - pathfinderd: add "Depends: dbus" to avoid "insserv: Service dbus has to 
      be enabled to start service pathfinderd"
  * debian/copyright
    - add my name and specify GPL version 2
  * debian/watch: add it. 
  * debian/pathfinderd.{default,dirs,init,postrm}
    - merge from SVN r200:r203, remove unnecessary "--test" argument and more.

 -- Hideki Yamane (Debian-JP) <henrich@debian.or.jp>  Sat, 03 Apr 2010 23:35:01 +0900

pathfinder (0.2.4-4) unstable; urgency=low

  * Fix the diff, so that it doesn't include all of the CMake garbage.

 -- Patrick Patterson <ppatters@debian.org>  Thu, 20 Mar 2008 02:10:55 +0000

pathfinder (0.2.4-3) unstable; urgency=low

  * Fix the init script to not have a syntax error.
  * Fix postinst script to correctly run.
  * Fix the init script to actually fork the daemon into the background.

 -- Patrick Patterson <ppatters@debian.org>  Wed, 19 Mar 2008 21:19:50 +0000

pathfinder (0.2.4-2) unstable; urgency=low

  * Include LSB init scripts dependancy information (Closes: #471593)
  * Fix the init script to actually start the daemon from the correct 
    location

 -- Patrick Patterson <ppatters@debian.org>  Wed, 19 Mar 2008 20:13:32 +0000

pathfinder (0.2.4-1) unstable; urgency=low

  * New Upstream version.
  * Fix clean target (Closes: #471184)
  * Fix a buglet in the policy mapping where an uninitialized variable
    would sometimes give incorrect result.

 -- Patrick Patterson <ppatters@debian.org>  Tue, 18 Mar 2008 15:55:33 +0000

pathfinder (0.2.3-1) unstable; urgency=low

  * Fix missing init script links for pathfinderd
  * Actually install the dbus system permissions and configuration file for
    pathfinderd
  * Install defaults file for pathfinderd.
  * Initial release (Closes: #457605)

 -- Patrick Patterson <ppatters@debian.org>  Tue, 11 Mar 2008 20:40:54 +0000
