=== debian/rules ===
#!/usr/bin/make -f
# Uncomment this to turn on verbose mode.
# export DH_VERBOSE=1

%:
	dh $@

override_dh_auto_clean:
	-rm -r $(CURDIR)/debian/cmakedir $(CURDIR)/version.h $(CURDIR)/*.pc
	dh_auto_clean
 
override_dh_auto_configure:
	mkdir $(CURDIR)/debian/cmakedir && \
	(cd $(CURDIR)/debian/cmakedir && cmake $(CURDIR) -DCMAKE_INSTALL_PREFIX:FILEPATH=/usr)
	for links in version.h `cd $(CURDIR)/debian/cmakedir/ && ls *.pc`; \
	do \
	  ln -s $(CURDIR)/debian/cmakedir/$$links $(CURDIR)/$$links ; \
	done

override_dh_auto_install:
	(cd $(CURDIR)/debian/cmakedir && $(MAKE) DESTDIR=$(CURDIR)/debian/tmp install)

override_dh_fixperms:
	dh_fixperms
	chmod 640 debian/pathfinderd/etc/pathfinderd.conf
