=== debian/watch ===
# Compulsory line, this is a version 3 file
version=3

http://code.google.com/p/pathfinder-pki/downloads/list \
 http://pathfinder-pki.googlecode.com/files/pathfinder-(.*)-Source.tar.gz
